//+------------------------------------------------------------------+
//|                                                         uLAR.mq4 |
//|                                      Copyright 2013, Kecoa Kecil |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, Kecoa Kecil"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_width1 1
#property indicator_width2 1

//--- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//--Global Scope variabel
double BuyLine=0.0;
double SellLine=0.0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,236);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,238);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();
   int limit=Bars-counted_bars;
//----
   for (int i=0;i<limit;i++) {
     int Sign1=MathMod(TimeDayOfYear(Time[i]),12);
     int Sign2=MathMod(TimeDayOfYear(Time[i]),10);
     int Sign3=TimeHour(Time[i]);
 // Api negatip
     if (Sign2==1) {
     //  ExtMapBuffer1[i]=Low[i]-10*Point;
 // Kombinasi Air Positip
     if (Sign3>=3 && Sign3<5) ExtMapBuffer1[i]=Open[i];
 //--- End of Api negatip
     }
 //----------------------------- 
 // Tanah positip
     if (Sign2==2) {
     //  ExtMapBuffer5[i]=Low[i]-10*Point;
 // Kombinasi Air Negatip
     if (Sign3>=21 && Sign3<23) {
       ExtMapBuffer2[i]=Open[i];
     }
 //--- End of Tanah Positip
     }
 //----------------------------- 
 // Tanah negatip
     if (Sign2==3) {
     //  ExtMapBuffer5[i]=Low[i]-10*Point;
 // Kombinasi Kayu positip
     if (Sign3>=19 && Sign3<21) {
       ExtMapBuffer1[i]=Open[i];
     }
 //--- End of Tanah Negatip
     }
 //----------------------------- 
 // Logam Positip
     if (Sign2==4) {
     //  ExtMapBuffer4[i]=Low[i]-10*Point;
 // Kombinasi Kayu negatip
     if (Sign3>=17 && Sign3<19) {
       ExtMapBuffer2[i]=Open[i];
     }
 //--- End of Logam positip
     }
 //----------------------------- 
 // Logam Negatip
     if (Sign2==5) {
     //  ExtMapBuffer4[i]=Low[i]-10*Point;
 // Kombinasi Api Positip
     if (Sign3>=15 && Sign3<17) {
       ExtMapBuffer1[i]=Open[i];
     }
 //--- End of Logam negatip
     }
 //----------------------------- 
 // Air Positip
     if (Sign2==6) {
     //  ExtMapBuffer2[i]=Low[i]-10*Point;
 // Kombinasi Api Negatip
     if (Sign3>=13 && Sign3<15) {
       ExtMapBuffer2[i]=Open[i];
     }
 //--- End of Air Positip
     }
 //----------------------------- 
 // Air Negatip
     if (Sign2==7) {
     //  ExtMapBuffer2[i]=Low[i]-10*Point;
 // Kombinasi Tanah Positip
     if (Sign3>=11 && Sign3<13) {
       ExtMapBuffer1[i]=Open[i];
     }
 //--- End of Air Negatip
     }
 //----------------------------- 
 // Kayu Positip
     if (Sign2==8) {
     //  ExtMapBuffer3[i]=Low[i]-10*Point;
 // Kombinasi Tanah Negatip
     if (Sign3>=9 && Sign3<11) {
       ExtMapBuffer2[i]=Open[i];
     }
 //--- End of Kayu Positip
     }
 //----------------------------- 
 // Kayu Negatip
     if (Sign2==9) {
     //  ExtMapBuffer3[i]=Low[i]-10*Point;
 // Kombinasi Logam Positip
     if (Sign3>=7 && Sign3<9) {
       ExtMapBuffer1[i]=Open[i];
     }
 //--- End of Kayu Negatip
     }
 //----------------------------- 
 // Api positip
     if (Sign2==0) {
     //  ExtMapBuffer1[i]=Low[i]-10*Point;
 // Kombinasi Logam negatip
     if (Sign3>=5 && Sign3<7) {
       ExtMapBuffer2[i]=Open[i];
     }
 //--- End of Api positip
     }
 //----------------------------- 
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+